Table of Contents

Class: mark | ../bkchem/marks.py
--- | ---
Base Classes |
--- | ---
simple_parent
Methods |
--- | ---
__init__ delete draw focus get_package get_svg_element lift move | move_to read_package redraw register set_color transform unfocus unregister
| __init__
    __init__ (
            self,
            atom,
            x,
            y,
            size=4,
            auto=1,
            )
size is a diameter of the mark
| delete
    delete ( self )
| draw
    draw ( self )
| focus
    focus ( self )
| get_package
    get_package ( self,  doc )
| get_svg_element
    get_svg_element ( self,  doc )
| lift
    lift ( self )
| move
    move (
            self,
            dx,
            dy,
            )
| move_to
    move_to (
            self,
            x,
            y,
            )
| read_package
    read_package (
            self,
            package,
            atom,
            )
Exceptions |
--- | ---
ValueError, "no such mark type %s" % typ
| redraw
    redraw ( self )
| register
    register ( self )
| set_color
    set_color ( self,  color )
| transform
    transform ( self,  tr )
| unfocus
    unfocus ( self )
| unregister
    unregister ( self )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1